package router

import (
	"git.links123.net/Slate/CorpusAI/cmd/http/handler"
	_ "git.links123.net/Slate/CorpusAI/docs"
	"git.links123.net/links123.com/pkg/middleware/cors"
	"github.com/gin-gonic/gin"
	"github.com/swaggo/gin-swagger"
	"github.com/swaggo/gin-swagger/swaggerFiles"
)

var r = gin.Default()

func BuildRouter() *gin.Engine {
	r.RedirectTrailingSlash = true
	r.RedirectFixedPath = true

	// Whether the service is running
	r.HEAD("/", handler.Healthy)
	if gin.Mode() == gin.DebugMode {
		r.GET("/swagger/*any", ginSwagger.WrapHandler(swaggerFiles.Handler))
	}

	r.Use(cors.Cors())

	registerV1Router()

	return r
}
