package main

import (

	"git.links123.net/Slate/CorpusAI/cmd/http"
	"git.links123.net/Slate/CorpusAI/cmd/version"
	"git.links123.net/Slate/CorpusAI/cmd/job"
	"github.com/spf13/cobra"
)

var apiVersion, gitCommit, built string

// @title Campus AI API
// @version 1.0
// @description Campus text to speech / speech to text.
// @termsOfService http://swagger.io/terms/

// @contact.name API Support
// @contact.email slate@links123.com

// @host campusai.links123.net
// @BasePath /v1
func main() {
	rootCmd := &cobra.Command{
		Use:   "CorpusAI",
		Short: "CorpusAI api for the project of links123.com's campus",
	}

	rootCmd.AddCommand(http.RunCommand())
	rootCmd.AddCommand(version.RunCommand(apiVersion, gitCommit, built))
	rootCmd.AddCommand(job.RunCommand())

	if err := rootCmd.Execute(); err != nil {
		panic(err)
	}
}
