package cache

import (
	"crypto/md5"
	"fmt"
	"github.com/go-redis/redis"
)

func GetTextKey(ossObjectKey string) string {
	data := []byte(ossObjectKey)
	hash := md5.Sum(data)
	md5OssObjectKey := fmt.Sprintf("%x", hash)
	return "tts:" + md5OssObjectKey;
}

func GetOssObject(key string) (string, error) {
	value, err := client.Get(key).Result()
	if err == redis.Nil {

		return "", err
		//fmt.Println("key2 does not exist")
	} else if err != nil {

		return "", err
	}

	return value, nil
}

func SetOssObject(key string, value string) error {
	err := client.Set(key, value, 0).Err()
	if err != nil {
		return err
	}

	return nil
}

func TextKeyExists(textKey string) bool {
	value, err := client.Exists(textKey).Result()
	if err == redis.Nil {

		return false
		//fmt.Println("key2 does not exist")
	} else if value == 1 {

		return true
	}

	return false
}